#ifndef MINTERM_H
#define MINTERM_H

// Clase para encapsular minterms
class minterm {
public:
    // Constructor
    minterm(long int v=0);
    // Interfaz
    int Valor() { return valor; }
    int BitsActivos() { return nBitsActivos; }
    bool operator<(minterm &m) { return valor<m.Valor(); }
    bool operator==(minterm &m) { return valor==m.Valor(); }
private:
    long int valor;     /**< Valor del minterm 64 bits */
    int nBitsActivos;   /**< Nmero de bits con valor 1 */
};
#endif // header guard

